rpm 5.2.1

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- File List
- Globals

Macros | Functions | Variables
poptBT.c File Reference
RPMCLI.

Popt tables for build modes. More...

`#include "system.h"`
`#include <rpmio.h>`
`#include <rpmiotypes.h>`
`#include <rpmlog.h>`
`#include <rpmtypes.h>`
`#include <rpmtag.h>`
`#include <rpmbuild.h>`
`#include "build.h"`
`#include <rpmcli.h>`
`#include "debug.h"`
Include dependency graph for poptBT.c:

Go to the source code of this file.

## Macros
#define | POPT_USECATALOG -1011
#define | POPT_NOLANG -1012
#define | POPT_RMSOURCE -1013
#define | POPT_RMBUILD -1014
#define | POPT_NOBUILD -1017
#define | POPT_SHORTCIRCUIT -1018
#define | POPT_RMSPEC -1019
#define | POPT_SIGN -1020
#define | POPT_REBUILD 0x4220
#define | POPT_RECOMPILE 0x4320
#define | POPT_BA 0x6261
#define | POPT_BB 0x6262
#define | POPT_BC 0x6263
#define | POPT_BI 0x6269
#define | POPT_BL 0x626c
#define | POPT_BP 0x6270
#define | POPT_BS 0x6273
#define | POPT_BT 0x6274 /* support "%track" script/section */
#define | POPT_BF 0x6266
#define | POPT_TA 0x7461
#define | POPT_TB 0x7462
#define | POPT_TC 0x7463
#define | POPT_TI 0x7469
#define | POPT_TL 0x746c
#define | POPT_TP 0x7470
#define | POPT_TS 0x7473

## Functions
static void | buildArgCallback (poptContext con, enum poptCallbackReason reason, const struct poptOption *opt, const char *arg, const void *data)

## Variables
struct rpmBuildArguments_s | rpmBTArgs
int | _rpmbuildFlags = 3
int | noLang = 0
static int | signIt = 0
static int | useCatalog = 0
struct poptOption | rpmBuildPoptTable []

## Detailed Description

Popt tables for build modes.

Definition in file poptBT.c.

## Macro Definition Documentation

#define POPT_BA 0x6261

Definition at line 39 of file poptBT.c.

Referenced by buildArgCallback().

#define POPT_BB 0x6262

Definition at line 40 of file poptBT.c.

Referenced by buildArgCallback().

#define POPT_BC 0x6263

Definition at line 41 of file poptBT.c.

Referenced by buildArgCallback().

#define POPT_BF 0x6266

Definition at line 47 of file poptBT.c.

Referenced by buildArgCallback().

#define POPT_BI 0x6269

Definition at line 42 of file poptBT.c.

Referenced by buildArgCallback().

#define POPT_BL 0x626c

Definition at line 43 of file poptBT.c.

Referenced by buildArgCallback().

#define POPT_BP 0x6270

Definition at line 44 of file poptBT.c.

Referenced by buildArgCallback().

#define POPT_BS 0x6273

Definition at line 45 of file poptBT.c.

Referenced by buildArgCallback().

#define POPT_BT 0x6274 /* support "%track" script/section */

Definition at line 46 of file poptBT.c.

Referenced by buildArgCallback().

#define POPT_NOBUILD -1017

Definition at line 32 of file poptBT.c.

Referenced by buildArgCallback().

#define POPT_NOLANG -1012

Definition at line 27 of file poptBT.c.

Referenced by buildArgCallback().

#define POPT_REBUILD 0x4220

Definition at line 37 of file poptBT.c.

Referenced by buildArgCallback().

#define POPT_RECOMPILE 0x4320

Definition at line 38 of file poptBT.c.

Referenced by buildArgCallback().

#define POPT_RMBUILD -1014

Definition at line 29 of file poptBT.c.

Referenced by buildArgCallback().

#define POPT_RMSOURCE -1013

Definition at line 28 of file poptBT.c.

Referenced by buildArgCallback().

#define POPT_RMSPEC -1019

Definition at line 34 of file poptBT.c.

Referenced by buildArgCallback().

#define POPT_SHORTCIRCUIT -1018

Definition at line 33 of file poptBT.c.

Referenced by buildArgCallback().

#define POPT_SIGN -1020

Definition at line 35 of file poptBT.c.

Referenced by buildArgCallback().

#define POPT_TA 0x7461

Definition at line 48 of file poptBT.c.

Referenced by buildArgCallback().

#define POPT_TB 0x7462

Definition at line 49 of file poptBT.c.

Referenced by buildArgCallback().

#define POPT_TC 0x7463

Definition at line 50 of file poptBT.c.

Referenced by buildArgCallback().

#define POPT_TI 0x7469

Definition at line 51 of file poptBT.c.

Referenced by buildArgCallback().

#define POPT_TL 0x746c

Definition at line 52 of file poptBT.c.

Referenced by buildArgCallback().

#define POPT_TP 0x7470

Definition at line 53 of file poptBT.c.

Referenced by buildArgCallback().

#define POPT_TS 0x7473

Definition at line 54 of file poptBT.c.

Referenced by buildArgCallback().

#define POPT_USECATALOG -1011

Definition at line 26 of file poptBT.c.

Referenced by buildArgCallback().

## Function Documentation

static void buildArgCallback | ( | poptContext | con,
|  | enum poptCallbackReason | reason,
|  | const struct poptOption * | opt,
|  | const char * | arg,
|  | const void * | data
| ) |  |
| static

Definition at line 72 of file poptBT.c.

References rpmBuildArguments_s::buildAmount, rpmBuildArguments_s::buildChar, rpmBuildArguments_s::buildMode, rpmBuildArguments_s::noBuild, rpmBuildArguments_s::noDeps, rpmBuildArguments_s::noLang, POPT_BA, POPT_BB, POPT_BC, POPT_BF, POPT_BI, POPT_BL, POPT_BP, POPT_BS, POPT_BT, POPT_NOBUILD, POPT_NOLANG, POPT_REBUILD, POPT_RECOMPILE, POPT_RMBUILD, POPT_RMSOURCE, POPT_RMSPEC, POPT_SHORTCIRCUIT, POPT_SIGN, POPT_TA, POPT_TB, POPT_TC, POPT_TI, POPT_TL, POPT_TP, POPT_TS, POPT_USECATALOG, rpmBuildArguments_s::qva_flags, rpmBTArgs, RPMBUILD_RMBUILD, RPMBUILD_RMSOURCE, RPMBUILD_RMSPEC, RPMCLI_POPT_NODEPS, RPMCLI_POPT_NODIGEST, RPMCLI_POPT_NOHDRCHK, RPMCLI_POPT_NOSIGNATURE, rpmBuildArguments_s::shortCircuit, rpmBuildArguments_s::sign, rpmBuildArguments_s::useCatalog, VERIFY_DIGEST, VERIFY_HDRCHK, and VERIFY_SIGNATURE.

## Variable Documentation

int _rpmbuildFlags = 3

Definition at line 57 of file poptBT.c.

Referenced by genCpioListAndHeader(), newPackage(), packageBinaries(), and rpmlibMarkers().

int noLang = 0

Definition at line 61 of file poptBT.c.

Referenced by handlePreambleTag(), and parseDescription().

int signIt = 0
| static

Definition at line 65 of file poptBT.c.

int useCatalog = 0
| static

Definition at line 68 of file poptBT.c.